%define module  django-countries

Name:           python-%{module}
Version:        3.4.1
Release:        %mkrel 2
Summary:        Provides a country field for Django models
Group:          Development/Python
License:        MIT
URL:            https://github.com/SmileyChris/django-countries/
Source0:        https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pythonegg(2)(setuptools)

Requires:       pythonegg(2)(django) >= 1.6

%description
Django application which provides country choices for use with forms, and a
country field for models.

#---------------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        Provides a country field for Django models
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pythonegg(3)(setuptools)

Requires:       pythonegg(3)(django) >= 1.6

%description -n python3-%{module}
Django application which provides country choices for use with forms, and a
country field for models.
This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc LICENSE README.rst
# list some files explicitly to avoid listing locale files twice
%{python2_sitelib}/django_countries/*.py*
%{python2_sitelib}/django_countries/static/
%{python2_sitelib}/django_countries/tests/
%{python2_sitelib}/django_countries/templatetags/
%{python2_sitelib}/django_countries-%{version}-py%{python2_version}.egg-info
# locale files
%lang(ar) %{python2_sitelib}/django_countries/locale/ar/LC_MESSAGES/django.?o
%lang(cs) %{python2_sitelib}/django_countries/locale/cs/LC_MESSAGES/django.?o
%lang(de) %{python2_sitelib}/django_countries/locale/de/LC_MESSAGES/django.?o
%lang(el) %{python2_sitelib}/django_countries/locale/el/LC_MESSAGES/django.?o
%lang(en) %{python2_sitelib}/django_countries/locale/en/LC_MESSAGES/django.?o
%lang(eo) %{python2_sitelib}/django_countries/locale/eo/LC_MESSAGES/django.?o
%lang(es) %{python2_sitelib}/django_countries/locale/es/LC_MESSAGES/django.?o
%lang(et) %{python2_sitelib}/django_countries/locale/et/LC_MESSAGES/django.?o
%lang(fa) %{python2_sitelib}/django_countries/locale/fa/LC_MESSAGES/django.?o
%lang(fi) %{python2_sitelib}/django_countries/locale/fi/LC_MESSAGES/django.?o
%lang(fr) %{python2_sitelib}/django_countries/locale/fr/LC_MESSAGES/django.?o
%lang(hr) %{python2_sitelib}/django_countries/locale/hr/LC_MESSAGES/django.?o
%lang(it) %{python2_sitelib}/django_countries/locale/it/LC_MESSAGES/django.?o
%lang(ja) %{python2_sitelib}/django_countries/locale/ja/LC_MESSAGES/django.?o
%lang(nb) %{python2_sitelib}/django_countries/locale/nb/LC_MESSAGES/django.?o
%lang(nl) %{python2_sitelib}/django_countries/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python2_sitelib}/django_countries/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python2_sitelib}/django_countries/locale/pt_BR/LC_MESSAGES/django.?o
%lang(pt_PT) %{python2_sitelib}/django_countries/locale/pt_PT/LC_MESSAGES/django.?o
%lang(ru) %{python2_sitelib}/django_countries/locale/ru/LC_MESSAGES/django.?o
%lang(sk) %{python2_sitelib}/django_countries/locale/sk/LC_MESSAGES/django.?o
%lang(sv) %{python2_sitelib}/django_countries/locale/sv/LC_MESSAGES/django.?o
%lang(tr_TR) %{python2_sitelib}/django_countries/locale/tr_TR/LC_MESSAGES/django.?o
%lang(uk) %{python2_sitelib}/django_countries/locale/uk/LC_MESSAGES/django.?o
%lang(zh_CN) %{python2_sitelib}/django_countries/locale/zh_CN/LC_MESSAGES/django.?o

%files -n python3-%{module}
%doc LICENSE README.rst
# list some files explicitly to avoid listing locale files twice
%{python3_sitelib}/django_countries/*py*
%{python3_sitelib}/django_countries/static/
%{python3_sitelib}/django_countries/tests/
%{python3_sitelib}/django_countries/templatetags/
%{python3_sitelib}/django_countries-%{version}-py%{python3_version}.egg-info
# locales files
%lang(ar) %{python3_sitelib}/django_countries/locale/ar/LC_MESSAGES/django.?o
%lang(cs) %{python3_sitelib}/django_countries/locale/cs/LC_MESSAGES/django.?o
%lang(de) %{python3_sitelib}/django_countries/locale/de/LC_MESSAGES/django.?o
%lang(el) %{python3_sitelib}/django_countries/locale/el/LC_MESSAGES/django.?o
%lang(en) %{python3_sitelib}/django_countries/locale/en/LC_MESSAGES/django.?o
%lang(eo) %{python3_sitelib}/django_countries/locale/eo/LC_MESSAGES/django.?o
%lang(es) %{python3_sitelib}/django_countries/locale/es/LC_MESSAGES/django.?o
%lang(et) %{python3_sitelib}/django_countries/locale/et/LC_MESSAGES/django.?o
%lang(fa) %{python3_sitelib}/django_countries/locale/fa/LC_MESSAGES/django.?o
%lang(fi) %{python3_sitelib}/django_countries/locale/fi/LC_MESSAGES/django.?o
%lang(fr) %{python3_sitelib}/django_countries/locale/fr/LC_MESSAGES/django.?o
%lang(hr) %{python3_sitelib}/django_countries/locale/hr/LC_MESSAGES/django.?o
%lang(it) %{python3_sitelib}/django_countries/locale/it/LC_MESSAGES/django.?o
%lang(ja) %{python3_sitelib}/django_countries/locale/ja/LC_MESSAGES/django.?o
%lang(nb) %{python3_sitelib}/django_countries/locale/nb/LC_MESSAGES/django.?o
%lang(nl) %{python3_sitelib}/django_countries/locale/nl/LC_MESSAGES/django.?o
%lang(pl) %{python3_sitelib}/django_countries/locale/pl/LC_MESSAGES/django.?o
%lang(pt_BR) %{python3_sitelib}/django_countries/locale/pt_BR/LC_MESSAGES/django.?o
%lang(pt_PT) %{python3_sitelib}/django_countries/locale/pt_PT/LC_MESSAGES/django.?o
%lang(ru) %{python3_sitelib}/django_countries/locale/ru/LC_MESSAGES/django.?o
%lang(sk) %{python3_sitelib}/django_countries/locale/sk/LC_MESSAGES/django.?o
%lang(sv) %{python3_sitelib}/django_countries/locale/sv/LC_MESSAGES/django.?o
%lang(tr_TR) %{python3_sitelib}/django_countries/locale/tr_TR/LC_MESSAGES/django.?o
%lang(uk) %{python3_sitelib}/django_countries/locale/uk/LC_MESSAGES/django.?o
%lang(zh_CN) %{python3_sitelib}/django_countries/locale/zh_CN/LC_MESSAGES/django.?o


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 3.4.1-2.mga6
+ Revision: 972243
- Mageia 6 Mass Rebuild

* Sat Oct 31 2015 daviddavid <daviddavid> 3.4.1-1.mga6
+ Revision: 896865
- new version: 3.4.1
- update file list

* Wed Oct 07 2015 daviddavid <daviddavid> 3.3-2.mga6
+ Revision: 886797
- rebuild for python 3.5
- use new python macros

* Sun Jun 21 2015 daviddavid <daviddavid> 3.3-1.mga6
+ Revision: 837980
- new version: 3.3
- add more locale files
- drop no more needed Patch0

* Wed Oct 15 2014 umeabot <umeabot> 2.1.2-7.mga5
+ Revision: 747612
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.2-6.mga5
+ Revision: 728278
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.2-5.mga5
+ Revision: 687974
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.1.2-4.mga5
+ Revision: 628558
- Rebuild for new Python

* Fri Apr 25 2014 daviddavid <daviddavid> 2.1.2-3.mga5
+ Revision: 618033
- fix list some files explicitly to avoid listing locale files twice

* Thu Apr 24 2014 daviddavid <daviddavid> 2.1.2-2.mga5
+ Revision: 617670
- fix rpmlint warning: "file-not-in-%%lang"

* Thu Apr 24 2014 daviddavid <daviddavid> 2.1.2-1.mga5
+ Revision: 617652
- add Patch0 to fix build with python3 (thanks philippem)
- remove unneeded BR on python-devel
- add support of python 3
- update URL
- new version: 2.1.2

* Tue Oct 22 2013 umeabot <umeabot> 1.5-3.mga4
+ Revision: 543393
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.5-2.mga4
+ Revision: 498367
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jun 03 2013 kharec <kharec> 1.5-1.mga4
+ Revision: 436218
- update to new version 1.5
- update file list

* Sun Jan 13 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 378668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 26 2011 misc <misc> 1.0.5-1.mga1
+ Revision: 91735
- imported package python-django-countries


* Tue Apr 26 2011 Michael Scherer <misc@zarb.org - 1.0.5-1.mga1
- adapt from Fedora

* Thu Apr 14 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.0.5-1
- initial spec
